Subject: [netatalk-admins] Cannot see server, nor connect with password

From: Gustaf Selen IB <[email-masked]>
Date: Thu, 2 Dec 1999 12:43:50 +0200 (EET)

I have installed netatalk 1.4b2+asun2.1.3 on a Sun Solaris 2.6,
after getting the compilation through, netatalk indeed starts,
but no client can see it. I can connect via IP-address, but
then again I cannot connect. If I supply an erroneous password
it tells me so, but with the correct password the connection
unexpectedly quits. I can, strangely enough, connect as quest
and mount the volumes, that works without problems. What can
be wrong?

Here is the syslog output from starting up:

Dec  2 12:39:16 zeus atalkd[22957]: restart (1.4b2+asun2.1.3)
Dec  2 12:39:16 zeus atalkd[22957]: setsockopt incompatible w/ Solaris STREAMS module.
Dec  2 12:39:18 zeus last message repeated 1 time
Dec  2 12:39:18 zeus atalkd[22957]: zip_getnetinfo for el0
Dec  2 12:39:36 zeus last message repeated 2 times
Dec  2 12:39:46 zeus atalkd[22957]: config for no router
Dec  2 12:39:48 zeus atalkd[22957]: setsockopt incompatible w/ Solaris STREAMS module.
Dec  2 12:39:48 zeus atalkd[22957]: ready 0/0/0
Dec  2 12:40:06 zeus afpd[22986]: zeus:AFPServer@* started on 65280.90:130 (1.4b2+asun2.1.3)
Dec  2 12:40:06 zeus afpd[22986]: ASIP started on 130.232.84.1:548(1) (1.4b2+asun2.1.3)

And from connecting using IP:

Dec  2 12:40:58 zeus afpd[23018]: ASIP session:548(1) from 130.232.84.89:2051(2)
Dec  2 12:40:58 zeus afpd[22986]: server_child[1] 23018 done
Dec  2 12:41:03 zeus afpd[23024]: ASIP session:548(1) from 130.232.84.89:2052(2)
Dec  2 12:41:03 zeus afpd[22986]: server_child[1] 23024 killed
Dec  2 12:41:07 zeus atalkd[22957]: nbp_packet: malformed packet

I occasionally get the last last about malformed packets even
when there is no attempts being made.

nbplkp on the server gives me:

 zeus:AFPServer                          65280.90:130
 zeus:LaserWriter                        65280.90:128
 zeus:netatalk                           65280.90:4
 zeus:Workstation                        65280.90:4

-------------------------------------------------------------------------
          ,
Gustaf Selen            [email-masked]            +358-(0)2-265-4071